> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User Image

> Delete a user image from the database and Google Artifact Registry.

For team images, only the image creator or team admins can delete.

## Rate Limit

100 requests per 60 seconds per IP and token.


## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json delete /api/v1/images/{image_name}/{image_tag}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/images/{image_name}/{image_tag}:
    delete:
      tags:
        - Images
      summary: Delete User Image
      description: |-
        Delete a user image from the database and Google Artifact Registry.

        For team images, only the image creator or team admins can delete.
      operationId: delete_user_image_api_v1_images__image_name___image_tag__delete
      parameters:
        - name: image_name
          in: path
          required: true
          schema:
            type: string
            title: Image Name
        - name: image_tag
          in: path
          required: true
          schema:
            type: string
            title: Image Tag
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Team ID if deleting a team image
            title: Teamid
          description: Team ID if deleting a team image
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteImageResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    DeleteImageResponse:
      properties:
        success:
          type: boolean
          title: Success
          description: Whether the deletion was successful
        message:
          type: string
          title: Message
          description: Status message describing the result
      type: object
      required:
        - success
        - message
      title: DeleteImageResponse
      description: Response model for deleting an image.
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````